Updates for Mystic BBS 1.12a39 on x86_64

This commit is contained in:
Deon George 2018-08-25 23:45:25 +10:00
parent e10ec279d6
commit 1769f92719
7 changed files with 14 additions and 13 deletions

View File

@ -25,7 +25,7 @@ test:
- docker build -t ${CI_REGISTRY_IMAGE}:${VERSION} . - docker build -t ${CI_REGISTRY_IMAGE}:${VERSION} .
- docker images - docker images
tags: tags:
- docker-armv7l - docker
only: only:
- debug - debug
@ -38,6 +38,6 @@ build:
- docker push ${CI_REGISTRY_IMAGE}:${VERSION} - docker push ${CI_REGISTRY_IMAGE}:${VERSION}
- docker push ${CI_REGISTRY_IMAGE}:${CACHETAG} - docker push ${CI_REGISTRY_IMAGE}:${CACHETAG}
tags: tags:
- docker-armv7l - docker
only: only:
- armv7l - x86_64

View File

@ -1,7 +1,7 @@
# NAME leenooks/mysticbbs # NAME leenooks/mysticbbs
# VERSION 1.12a39-armv7l # VERSION 1.12a39-x86_64
FROM arm32v7/debian:jessie-slim FROM debian:jessie-slim
MAINTAINER Deon George <deon@leenooks.net> MAINTAINER Deon George <deon@leenooks.net>
@ -13,7 +13,7 @@ RUN apt-get update \
# For SSH connections and Spell # For SSH connections and Spell
ADD libcl.so.3.4.3 /usr/lib ADD libcl.so.3.4.3 /usr/lib
RUN ln -sf libcl.so.3.4.3 /usr/lib/libcl.so RUN ln -sf libcl.so.3.4.3 /usr/lib/libcl.so
RUN ln -sf /usr/lib/arm-linux-gnueabihf/libhunspell-1.3.so.0 /usr/lib/libhunspell.so RUN ln -sf /usr/lib/x86_64-linux-gnu/libhunspell-1.3.so /usr/lib/libhunspell.so
RUN ln -sf /usr/share/zoneinfo/Australia/Melbourne /etc/localtime RUN ln -sf /usr/share/zoneinfo/Australia/Melbourne /etc/localtime

View File

@ -19,7 +19,7 @@ To use this container:
1. Docker pull it from my registry. (Actually you can skip this step, but its worth doing it anyway!) 1. Docker pull it from my registry. (Actually you can skip this step, but its worth doing it anyway!)
docker pull registry.leenooks.net/leenooks/mysticbbs:1.12a39-armv7l docker pull registry.leenooks.net/leenooks/mysticbbs:1.12a39-x86_64
2. Create a directory to hold your BBS data. (I use */srv/docker/mystic*). 2. Create a directory to hold your BBS data. (I use */srv/docker/mystic*).
@ -27,7 +27,7 @@ To use this container:
3. Start the container. 3. Start the container.
docker run -itd -v /srv/mystic/data:/mystic/data -p 10022:22 -p 10023:23 -p 24554:24554 registry.leenooks.net/leenooks/mysticbbs:1.12a39-armv7l docker run -itd -v /srv/mystic/data:/mystic/data -p 10022:22 -p 10023:23 -p 24554:24554 registry.leenooks.net/leenooks/mysticbbs:1.12a39-x86_64
Explanation of these parameters: Explanation of these parameters:
@ -64,4 +64,4 @@ You can also run this in a swarm (I do)!
---- ----
## Extras Container ## Extras Container
There is an "extras" container with some additional MysticBBS mods pre-installed. You'll find info on that in the [armv7l-extras](https://dev.leenooks.net/leenooks/mysticbbs/blob/armv7l-extras/README.md) branch. There is an "extras" container with some additional MysticBBS mods pre-installed. You'll find info on that in the [x86_64-extras](https://dev.leenooks.net/leenooks/mysticbbs/blob/x86_64-extras/README.md) branch.

View File

@ -2,3 +2,4 @@ data
mystic mystic
mods mods
*.zip *.zip
*.rar

View File

@ -2,13 +2,13 @@
set -e set -e
MYSTIC_SOURCE=${1:-mys112a39_pi.zip} MYSTIC_SOURCE=${1:-mys112a39_l64.rar}
[ "$1" ] && shift [ "$1" ] && shift
SPELL_SOURCE=${1:-mystic_spellcheck_v2.zip} SPELL_SOURCE=${1:-mystic_spellcheck_v2.zip}
[ "$1" ] && shift [ "$1" ] && shift
CLEAN_INSTALL_DIR=x CLEAN_INSTALL_DIR=x
INSTALL_CONTAINER=arm32v7/debian:jessie-slim INSTALL_CONTAINER=debian:jessie-slim
TARGET_DIR=mystic TARGET_DIR=mystic
PATCH_FILE=mystic.112a39.patch PATCH_FILE=mystic.112a39.patch
@ -24,8 +24,8 @@ else
# 2) Create a new directory for it and unzip the App into it # 2) Create a new directory for it and unzip the App into it
[ -d ${CLEAN_INSTALL_DIR} ] && echo "ERROR: Directory [${CLEAN_INSTALL_DIR}] already exists!" && exit 1 [ -d ${CLEAN_INSTALL_DIR} ] && echo "ERROR: Directory [${CLEAN_INSTALL_DIR}] already exists!" && exit 1
unzip ${MYSTIC_SOURCE} -d ${CLEAN_INSTALL_DIR} mkdir ${CLEAN_INSTALL_DIR}; cd ${CLEAN_INSTALL_DIR}; unrar x ../${MYSTIC_SOURCE}; cd ..
[ $? -gt 0 ] && echo "ERROR: Unzip failed?" && exit 1 [ $? -gt 0 ] && echo "ERROR: Unrar failed?" && exit 1
# 3) Run docker with -v mapping the unzip files to an arbitrary directory -v unzipfiles:/install # 3) Run docker with -v mapping the unzip files to an arbitrary directory -v unzipfiles:/install
# ** @TODO Request upstream to default QWK and Echo DIRs to named dir as well during installation # ** @TODO Request upstream to default QWK and Echo DIRs to named dir as well during installation

Binary file not shown.

Binary file not shown.